Bug 129703 - vgcreate man page shows wildcard method that doesn't work
vgcreate man page shows wildcard method that doesn't work
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-11 17:43 EDT by Red Hat Bugzilla
Modified: 2008-03-13 15:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-192
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-16 12:49:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2004-08-11 17:43:50 EDT
Observed in RHEL4 0811 ia64

The vgcreate man page (and possibly other related man pages) show
being able to create volume groups with this syntax in the examples:

vgcreate test_vg /dev/sd[k-m]1

However, this does not actually seem to be supported in the tool.
I had to give a ful list of physical devices (a bunch of them).

So consider adjusting the man page or the lvm command.  Let me know
if I'm missing something.
Comment 1 Red Hat Bugzilla 2004-08-12 11:06:33 EDT
That relies on expansion by your shell.
Built-in readline doesn't support it.
Comment 3 Red Hat Bugzilla 2004-11-16 12:48:27 EST
I've removed the shell expansion from the man page example.
Comment 4 Red Hat Bugzilla 2005-06-09 08:29:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-192.html

Note You need to log in before you can comment on or make changes to this bug.